<?php
session_start();
require_once('conexion.php');
if (isset($_SESSION['usu_nombre']))
{
  require_once('include/sesiones.php');

    $regis=mysqli_query($con,"select * from permiso where modulo_mod_id='10' and usuario_usu_id='$usu_id'  ") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
      if($reg['per_visualizar']=="Activo")
      {
?>
<!DOCTYPE html>
<html lang="en">
  <head>
  <?php include ('head.php');?>
 <script>
function miFuncion() {
       load(1);
    }
</script>
  </head>
<body onload="miFuncion();">
<?php
$inicio="";
$M_inventario="active";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$m_familias="";
$m_articulos="";
$m_combos="";
$m_servicios="";
$m_productos="";
$m_tarifas="";
$m_bodegas="";
$m_traslados="";
$m_ajustes="";
$m_etiquetas="active";
$m_ubicacion="";
$m_marca="";
include ('menu.php');
?> 
    
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_inventario.php');?>           
    </div> <!-- /span6 -->      
    <div class="col-md-10">   
        <div class="widget stacked">
            <div class="widget-header"></div>
                <div class="widget-content">
                    <div class="col-md-12"> <?php include ('php_etiquetas/etiquetas.php'); ?> </div>
                    <div id="articulos"></div>
                    <?php include ('include/pie_de_pagina.php'); ?>
                </div>
            </div> <!-- /widget-content -->
        </div> <!-- /widget -->
     </div> <!-- /span9-->
</div> <!-- /main -->


<div class="modal fade bs-example-modal-lg" id="modificar_articulo" tabindex="-1" style="z-index: 11111" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">MODIFICAR ARTICULO</h4>
            </div>
            <div class="modal-body">
                <div id="form-art"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->    

<?php 
  include ('php_buscador/buscador_etiquetas.php');
  include ('php_caja/caja_abrir.php');
  include ('script.php');
 ?>
<script type="text/javascript">
 $(document).ready(function(){
      load(1);
    });

    function load(page){
      var q= $("#q").val();
      var tipo=document.querySelector('input[name="tipo"]:checked').value
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'./php_buscador/etiquetas.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }
  


function loadTabla(){
  $('#editModal').modal('hide');

  $.get("./php_etiquetas/tabla.php","",function(data){
    $("#articulos").html(data);
  })

}
loadTabla();

 function agregar (art_id)
    {
      var barras1=document.getElementById('barras'+art_id).value;
      var cantidad=document.getElementById('cantidad_'+art_id).value;
      var nombre=document.getElementById('nombre_'+art_id).value;
      var texto_adicional=document.getElementById('texto_adicional'+art_id).value;
      var tipo_2='articulos';
      //Inicia validacion

      if (barras1=='' || barras1=='0')
      {
      alert('EL CAMPO DEL CODIGO DE BARRAS SE ENCUENTRA VACIO, CLICK EN EL NOMBRE DEL ARTICULO PARA MODIFICAR.');
      document.getElementById('barras'+art_id).focus();
      return false;
      }

      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+art_id).focus();
      return false;
      }
      
      if (cantidad<=0)
      {
      alert('La cantidad debe ser mayor de uno');
      document.getElementById('cantidad_'+art_id).focus();
      return false;
      }
     
      //Fin validacion
      
      $.ajax({
        type: "POST",
        url: "./php_etiquetas/tabla.php",
        data: "barras="+barras1+"&cantidad="+cantidad+"&nombre="+nombre+"&art_id="+art_id+"&texto_adicional="+texto_adicional+"&tipo="+tipo_2,

     beforeSend: function(objeto){
      $("#articulos").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#articulos").html(datos);
    }
      });
    }

     function agregarcombo (com_id)
    {
      var barras_combo=document.getElementById('barras_combo'+com_id).value;
      var cantidad_combo=document.getElementById('cantidad_combo'+com_id).value;
      var nombre_combo=document.getElementById('nombre_combo'+com_id).value;
      var texto_adicional_combo=document.getElementById('texto_adicional_combo'+com_id).value;
      var tipo_2='combos';
      //Inicia validacion

      if (barras_combo=='' || barras_combo=='0')
      {
      alert('EL CAMPO DEL CODIGO DE BARRAS SE ENCUENTRA VACIO, CLICK EN EL NOMBRE DEL ARTICULO PARA MODIFICAR.');
      document.getElementById('barras'+com_id).focus();
      return false;
      }

      if (isNaN(cantidad_combo))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+com_id).focus();
      return false;
      }
      
      if (cantidad_combo<=0)
      {
      alert('La cantidad debe ser mayor de uno');
      document.getElementById('cantidad_'+com_id).focus();
      return false;
      }
     
      //Fin validacion
      
      $.ajax({
        type: "POST",
        url: "./php_etiquetas/tabla.php",
        data: "barras_combo="+barras_combo+"&cantidad_combo="+cantidad_combo+"&nombre_combo="+nombre_combo+"&com_id="+com_id+"&texto_adicional_combo="+texto_adicional_combo+"&tipo="+tipo_2,

     beforeSend: function(objeto){
      $("#articulos").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#articulos").html(datos);
    }
      });
    }
</script>
  </body>
</html>

<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>